import { request } from '@/utils/request.js'

/**
 *运营分析 API接口
 */
export default {
  /**
   * 注册按日
   */
  getRegDayDataList(params = {}) {
    return request({
      url: '/v1/dataReport/analyse/getRegDayDataList',
      method: 'get',
      params
    })
  },
  /**
   * 注册分时
   */
  getRegHourDataList(params = {}) {
    return request({
      url: '/v1/dataReport/analyse/getRegHourDataList',
      method: 'get',
      params
    })
  },
  /**
   * 留存按日
   */
  getRetentionDayDataList(params = {}) {
    return request({
      url: '/v1/dataReport/analyse/getRetentionDayDataList',
      method: 'get',
      params
    })
  },
  /**
   * 数据总览
   */
  getDataOverview(params = {}) {
    return request({
      url: '/v1/dataReport/analyse/getDataOverview',
      method: 'get',
      params
    })
  },
  /**
   * 数据总览(按月)
   */
  getDataOverviewByMonth(params = {}) {
    return request({
      url: '/v1/dataReport/analyse/getDataOverviewByMonth',
      method: 'get',
      params
    })
  },
  /**
   * 收入分析
   */
  getIncomeAnalysis(params = {}) {
    return request({
      url: '/v1/dataReport/analyse/getIncomeAnalysis',
      method: 'get',
      params
    })
  },
  /**
   * 留存分析
   */
  getPayRetention(params = {}) {
    return request({
      url: '/v1/dataReport/analyse/getPayRetention',
      method: 'get',
      params
    })
  },
  /**
   * 数据图表
   */
  getChartData(params = {}) {
    return request({
      url: '/v1/dataReport/analyse/getChartData',
      method: 'get',
      params
    })
  }
}
